<!--Alert-->


<div id="myToast" class="position-fixed end-0 p-3" style="display: none; top:80px; z-index: 111111;">
  <div id="liveToast" class="" role="alert" >
<!--    <div class="alert alert-success m-0">Hello</div>
 -->   <div class="alert alert-success d-flex align-items-center m-0">
  <i class="ri-check-line"></i> <?php echo e(session('success')); ?>

</div>

  </div>
</div>

  <div id="myToasterror" class="position-fixed end-0 p-3" style="display: none; top:80px; z-index: 111111;">
      <div id="liveToast" class="" role="alert" >
    <!--    <div class="alert alert-success m-0">Hello</div>
    -->   <div class="alert alert-danger d-flex align-items-center m-0">
            <i class="ri-cross-line"></i> <?php echo e(session('error')); ?>

          </div>

      </div>
    </div> 

<script type="text/javascript">
 
    <?php if(session('success')): ?>
       $('#myToast').show();
       $('#myToast').delay(5000).fadeOut();
    <?php endif; ?>
     <?php if(session('error')): ?>
       $('#myToasterror').show();
       $('#myToasterror').delay(5000).fadeOut();
    <?php endif; ?>
</script>

<!--Alert End-->

<!--Delete-->
<div class="modal fade" id="modal1delete" tabindex="-1" aria-hidden="true">
      <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title">Are You Sure to Delete</h5>
            <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
          </div><!-- modal-header -->
          <div class="modal-body">
            This data will be peramanently gone once confirmed.
          </div><!-- modal-body -->
          <div class="modal-footer">
            <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
            <a type="button" class="btn btn-primary" id="confirmdelete">Delete </a>
          </div><!-- modal-footer -->
        </div><!-- modal-content -->
      </div><!-- modal-content -->
    </div><!-- modal -->
    
<script>
  $(document).ready(function() {
    $(document).on('click', '.deletebtnpopup', function() {
      var url = $(this).val();
      //alert(service_id);
      $('#modal1delete').modal('show');
      document.getElementById("confirmdelete").href=url; 

    });
  });
</script>

<!--Delete-->
<div class="modal fade" id="remove" tabindex="-1" aria-hidden="true">
      <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title">Are You Sure</h5>
            <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
          </div><!-- modal-header -->
          <div class="modal-body">
            Trailer will be removed once confirmed.
          </div><!-- modal-body -->
          <div class="modal-footer">
            <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
            <a type="button" class="btn btn-primary" id="confirm">Confirm </a>
          </div><!-- modal-footer -->
        </div><!-- modal-content -->
      </div><!-- modal-content -->
    </div><!-- modal -->
    
<script>
  $(document).ready(function() {
    $(document).on('click', '.remove', function() {
      var url = $(this).val();
      $('#remove').modal('show');
      document.getElementById("confirm").href=url; 

    });
  });
</script>
    
<!--End Delete-->
    

 <div class="main-footer mt-5">
        <span>&copy; 2023. TMS. All Rights Reserved.</span>
        <span>Developed by: <a href="www.example.com" target="_blank">Vokks</a></span>
      </div><!-- main-footer -->
    </div><!-- main -->

    <style type="text/css">
        .pagi-btn{
           border-radius: 100%!important;
           width: 36px!important;
           height: 36px!important;
           padding: 6px!important;  
        }
       .prev-btn{
           border:1px solid #d9e1ed!important;
           border-radius: 100%!important;
           padding: 6px!important;  

       }
       .next-btn{
           border:1px solid #d9e1ed!important;   
           padding: 6px!important;   
       }
    </style>

<!--     <script src="<?php echo e(asset('lib/jquery/jquery.min.js')); ?>"></script>
 -->    <script src="<?php echo e(asset('lib/bootstrap/js/bootstrap.bundle.min.js')); ?>"></script>
    <script src="<?php echo e(asset('lib/perfect-scrollbar/perfect-scrollbar.min.js')); ?>"></script>
    <script src="<?php echo e(asset('lib/apexcharts/apexcharts.min.js')); ?>"></script>
    <script src="<?php echo e(asset('lib/gridjs-jquery/gridjs.production.min.js')); ?>"></script>
    <script src="<?php echo e(asset('lib/jqueryui/jquery-ui.min.js')); ?>"></script>
    <script src="<?php echo e(asset('lib/prismjs/prism.js')); ?>"></script>
    <script src="<?php echo e(asset('lib/colorpicker/spectrum.js')); ?>"></script>
    <script src="<?php echo e(asset('lib/select2/js/select2.js')); ?>"></script>
    <script src="<?php echo e(asset('lib/chart.js/chart.min.js')); ?>"></script>
    <script src="<?php echo e(asset('/lib/perfect-scrollbar/perfect-scrollbar.min.js')); ?>"></script>


    <script src="<?php echo e(asset('assets/js/script.js')); ?>"></script>
    <script src="<?php echo e(asset('assets/js/db.data.js')); ?>"></script>
    <script src="<?php echo e(asset('assets/js/db.finance.js')); ?>"></script>
    <script src="<?php echo e(asset('assets/js/custom.js')); ?>"></script>
    <script src="<?php echo e(asset('assets/js/chartjs.js')); ?>"></script>

    <script type="text/javascript">
       $('.gridjs-pages .pagi-btn').click(function() {
        alert('tst')
      
//          var $leftbutton = $('.prev-btn');
// $leftbutton.html('<i class="ri-arrow-left-s-line"></i>');

// var $rightbutton = $('.next-btn');
// $rightbutton.html('<i class="ri-arrow-right-s-line"></i>');
        

      }); 
    </script>
    <script type="text/javascript">
      var tooltipTriggerList = [].slice.call(document.querySelectorAll('[data-bs-toggle="tooltip"]'))
var tooltipList = tooltipTriggerList.map(function (tooltipTriggerEl) {
  return new bootstrap.Tooltip(tooltipTriggerEl)
})

      // Basic usage
      $("#select2D").select2({
  maximumSelectionLength: 2
});
      $('#select2A').select2({
        placeholder: 'Choose one',
        minimumResultsForSearch: Infinity
      });
      
        // Basic Example
      $("#tableGrid1").Grid({
        className: {
          table: 'table table-bordered mb-0 items-data',
          ul: 'pagination pagination-circled',
          paginationButton: 'pagi-btn',
          paginationButtonNext: 'next-btn',
          paginationButtonPrev: 'prev-btn'
        },
        pagination: {
            limit:10
        },
        sort: true,
        search: true
      });
      $("#tableGrid2").Grid({
        className: {
          table: 'table table-bordered mb-0',
          ul: 'pagination pagination-circled',
          paginationButton: 'pagi-btn',
          paginationButtonNext: 'next-btn',
          paginationButtonPrev: 'prev-btn'
        },
        pagination: {
            limit:10
        },
        sort: true,
        search: true
      });
      $("#tableGrid3").Grid({
        className: {
          table: 'table table-bordered mb-0',
          ul: 'pagination pagination-circled',
          paginationButton: 'pagi-btn',
          paginationButtonNext: 'next-btn',
          paginationButtonPrev: 'prev-btn'
        },
        pagination: {
            limit:10
        },
        sort: true,
        search: true
      });
      $("#tableGrid4").Grid({
        className: {
          table: 'table table-bordered mb-0',
          ul: 'pagination pagination-circled',
          paginationButton: 'pagi-btn',
          paginationButtonNext: 'next-btn',
          paginationButtonPrev: 'prev-btn'
        },
        pagination: {
            limit:10
        },
        sort: true,
        search: true
      });
       $("#tableGrid5").Grid({
        className: {
          table: 'table table-bordered mb-0',
          ul: 'pagination pagination-circled',
          paginationButton: 'pagi-btn',
          paginationButtonNext: 'next-btn',
          paginationButtonPrev: 'prev-btn'
        },
        pagination: {
            limit:10
        },
        sort: true,
        search: true
      });
    </script>
    <script>
        $('.select2').select2();
        
        // Select the button element by class name
// var $leftbutton = $('.prev-btn');
// $leftbutton.html('<i class="ri-arrow-left-s-line"></i>');

// var $rightbutton = $('.next-btn');
// $rightbutton.html('<i class="ri-arrow-right-s-line"></i>');




// For a pie chart
var ctx9 = document.getElementById('chartDonut');
var myDonutChart = new Chart(ctx9, {
  type: 'pie',
  data: datapie,
  options: optionpie
});
    </script>


<script>
      'use strict'

      new PerfectScrollbar('#chatSidebarBody', {
        suppressScrollX: true
      });

      const cbc = new PerfectScrollbar('#chatBodyContent', {
        suppressScrollX: true
      });

      $('.chat-item').on('click', function(e){
        e.preventDefault();

        $('.chat-item').each(function(){
          $(this).removeClass('selected');
        });

        $(this).addClass('selected').removeClass('unread');
        $('.chat-panel').addClass('msg-show');
        cbc.update();
      });

      $('#chatBodyContent').on('mouseover', '.msg-bubble', function(e){
        $(this).closest('.row').addClass('nav-show');
      });

      $('#chatBodyContent').on('mouseleave', '.msg-item .row', function(){
        $(this).removeClass('nav-show');
      });

      // scroll to latest messages
      function scrollMsg() {
        $('#chatBodyContent').scrollTop($('#chatBodyContent')[0].scrollHeight);
        cbc.update();
      }

      scrollMsg();

      $('#msgInput').on('keypress', function(e){
        if(e.keyCode === 13) {
          $('#msgSend').trigger('click');
        }
      });

      $('#msgSend').on('click', function(e){
        e.preventDefault();

        var msg = $('#msgInput').val();

        if(msg != '') {
          var dt = new Date();
          var time = dt.toLocaleString('en-US', { hour: 'numeric', minute: 'numeric', hour12: true });

          var newMsg = $('#msgEmpty').clone();
          newMsg.removeAttr('id');
          newMsg.removeClass('d-none');
          newMsg.find('.msg-bubble').text(msg);
          newMsg.find('.msg-bubble').append('<span>'+ time +'</span>');
          newMsg.insertBefore('#msgEmpty');
        }

        scrollMsg();
      });

      $('#closeMsg').on('click', function(e){
        e.preventDefault();
        $('.chat-panel').removeClass('msg-show');
      });


    </script>

  </body>
</html><?php /**PATH /home/megamarket/public_html/tms/resources/views/layout/footer.blade.php ENDPATH**/ ?>